--- title: "Create channel" slug: "media-livestation-channel-vodchannelcreate" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-channel-vodchannelcreate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create channel Available in Classic and VPC Create a VOD2LIVE channel. VOD2LIVE is a feature that allows you to utilize a recorded file as the streaming source for a live broadcast. You can go live within 14 days of the current time, and you can stream multiple files up to 24 hours in advance. You can utilize this feature to organize your live broadcast with pre-prepared footage. Note The creation options for VOD2LIVE channels are the same as for general live channels, so see [Create channel](/docs/en/media-livestation-channel-channelcreate) in Channel Management for more information. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/vod/channels | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelName` | String | Required | Channel name - Enter 3-20 characters using a combination of Korean letters, English letters, numbers, and special character "_". | | `cdn` | Object | Required | Set up CDN. | | `cdn.createCdn` | Boolean | Required | Whether to create a new CDN - `true` \| `false` - `true`: Create new - `false`: Use existing CDN | | `cdn.cdnType` | String | Required | CDN type - `GLOBAL_EDGE` (valid value) | | `cdn.cdnDomain` | String | Conditional | Global Edge domain - See [Get edge list](/docs/en/edge-listing). - Required if `cdn.createCdn` is `false`. | | `cdn.profileId` | Integer | Required | Global Edge profile ID - See [Get profile list](/docs/en/profile-listing). | | `cdn.cdnInstanceNo` | Integer | Conditional | Global Edge instance ID - See [Get edge list](/docs/en/edge-listing). - Required if `cdn.createCdn` is `false`. | | `cdn.regionType` | String | Conditional | Global Edge Service Region - `KOREA` \| `JAPAN` \| `GLOBAL` - `KOREA`: Korea - `JAPAN`: Japan - `GLOBAL`: Global - Required if `cdn.createCdn` is `true` | | `qualitySetId` | Integer | Required | Image quality setting ID - See [Get image quality settings list](/docs/en/media-livestation-qualitysetting-qualitysettinglist). - If `outputProtocol` is `LL_HLS`, select the dedicated quality setting for low latency. | | `envType` | String | Optional | Channel type - `REAL` (default) \| `DEV` \| `STAGE` - Separator based on the service environment to apply | | `outputProtocol` | String | Optional | Output protocol settings - `HLS` (default) \| `LL_HLS` \| `HLS,DASH` - `HLS`: Option for reliable and compatible HLS streaming - `LL_HLS`: Option for low-latency HLS streaming with CMAF - `HLS,DASH`: Option to stream both regular HLS and Dash | | `drmEnabledYn` | Boolean | Required | Multi DRM usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `drm` | Object | Conditional | Multi DRM settings - Required if `drmEnabledYn` is `true` | | `drm.siteId` | String | Conditional | Site ID - See [Get site list](/docs/en/site-list). | | `drm.contentId` | String | Conditional | Content ID - Enter 3 to 100 characters using a combination of English letters, numbers, and the special characters "-" and "_". | ### Request example The request example is as follows: ``` curl --location --request POST 'https://livestation.apigw.ntruss.com/api/v2/vod/channels' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' \ --data '{ "channelName": "V2lTestChannel", "cdn": { "createCdn": false, "cdnType": "GLOBAL_EDGE", "cdnDomain": "*************.edge.naverncp.com", "profileId": 4207, "cdnInstanceNo": 11577, "regionType": "KOREA" }, "qualitySetId": 3, "envType": "REAL", "outputProtocol": "HLS", "drmEnabledYn": true, "drm": { "siteId": "drm-20250814******-gJMis", "contentId": "my-Test-Multidrm" } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Response result | | `content.channelName` | String | - | Channel name | | `content.instanceNo` | Integer | - | Channel instance number | | `content.cdn` | Object | - | Set up CDN. | | `content.cdn.createCdn` | Boolean | - | Whether to create a new CDN - `true` \| `false` - `true`: Create new - `false`: Use existing CDN | | `content.cdn.cdnType` | String | - | CDN type - `GLOBAL_EDGE` (valid value) | | `content.cdn.cdnInstanceNo` | Integer | - | Global Edge instance ID | | `content.cdn.profileId` | Integer | - | Global Edge profile ID | | `content.cdn.regionType` | String | - | Global Edge Service Region - `KOREA` \| `JAPAN` \| `GLOBAL` - `KOREA`: Korea - `JAPAN`: Japan - `GLOBAL`: Global | | `content.qualitySetId` | Integer | - | Image quality setting ID | | `content.useDvr` | Boolean | - | Time machine settings - `true` \| `false` - `true`: Enable - `false`: Disable | | `content.envType` | String | - | Channel type - `DEV` \| `STAGE` \| `REAL` | | `content.outputProtocol` | String | - | Output Protocol | | `content.channelId` | String | - | Channel ID | | `content.type` | String | - | Channel type - `VOD` (valid value) | | `content.drmEnabledYn` | Boolean | - | Multi DRM usage - `true` \| `false` - `true`: Enable - `false`: Disable | | `content.drm` | Object | - | Multi DRM settings - If `content.drmEnabledYn` is `true`, display sub-information. | | `content.drm.siteId` | String | - | Site ID | | `content.drm.contentId` | String | - | Content ID | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "channelName": "V2lTestChannel", "instanceNo": 10******4, "cdn": { "createCdn": false, "cdnType": "GLOBAL_EDGE", "cdnInstanceNo": 1****, "profileId": 4207, "regionType": "KOREA" }, "qualitySetId": 3, "useDvr": false, "envType": "REAL", "outputProtocol": "HLS", "channelId": "ls-20250820******-qdrMQ", "type": "VOD", "drmEnabledYn": true, "drm": { "siteId": "drm-20250814******-gJMis", "contentId": "my-Test-Multidrm" } } } ```